package com.sw.mes.fb.aio.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.fb.aio.dto.ProcessingMachineDto;
import com.sw.mes.fb.aio.entity.EapGrindingMachine;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface EapGrindingMachineService extends BaseService<EapGrindingMachine> {
    void save(EapGrindingMachine eapGrindingMachine);

    EapGrindingMachine findTopByFbSectionNoOrderByIdDesc(String fbSectionNo);

    String createOneBodyMachineCode(EapGrindingMachine eapGrindingMachine);

    /**
     * 获取加工机台信息
     * @param sn
     * @return
     */
    ProcessingMachineDto getProcessingMachineCode(String sn);
}
